qtermwidget-0.7.1

Introduction to qtermwidget

As the name suggests, the qtermwidget is a terminal widget for Qt.

本パッケージは LFS-8.0 において正しくビルドでき動作することが確認されています。

Package Information

qtermwidget Dependencies

Required

CMake-3.9.1 and Qt-5.9.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/qtermwidget

Installation of qtermwidget

Install qtermwidget by running the following commands:

mkdir -v build &&
cd       build &&

cmake -DCMAKE_BUILD_TYPE=Release          \
      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
      -DCMAKE_INSTALL_LIBDIR=lib          \
      ..       &&

make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

-DBUILD_TEST=true: Builds test application.

Contents

Installed Program: None
Installed Libraries: libqtermwidget5.so
Installed Directories: $LXQT_PREFIX/{include,share{/cmake,}}/qtermwidget5

Short Descriptions

libqtermwidget5.so

contains the libqtermwidget5 API functions.

最終更新日: 2017-02-22 05:13:57 +0900